package com.junit.resource;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Controller;

import com.junit.bean.Employee;

@Controller
public class EmployeeResource {
	
	private static final Logger logger = LoggerFactory.getLogger(EmployeeResource.class);
	
	public double calculateYearlySal(Employee employee) {
		logger.info("Calculating Yearly Salary");
		double perAnnum = 0;
		try {
			perAnnum = employee.getSalary() * 12;
			logger.info("Total Salary per Annum :: "+perAnnum);
		} catch (Exception e) {
			logger.error("Exception "+e.getMessage());
			e.printStackTrace();
		}
		return perAnnum;
	}
	
	
	public double calculateAppraisal(Employee employee) {
		logger.info("Calculating appraisal based on salary");
		double appraisal = 0;
		try {
			if(employee.getSalary()<=50000) {
				appraisal = 10000;
			}
			else if(employee.getSalary()<=100000) {
				appraisal = 5000;
			}
			else {
				appraisal = 3000;
			}
			logger.info("Total Appraisal :: "+appraisal);
		} catch (Exception e) {
			logger.error("Exception "+e.getMessage());
			e.printStackTrace();
		}
		
		return appraisal;
		
	}

}
